C2DSolveCG Class Reference
Filtering and combining

solve_sCG – a class providing a CG solver More...

`#include <mia/2d/fuzzyclustersolver_cg.hh>`

## Public Member Functions

void | add_to_solution (C2DFImage *e)
| C2DSolveCG (C2DFImage &w1, C2DFImage &f1, C2DFImage &g1, double l1, double l2, double r_res, double m_res)
long | get_iterations ()
void | get_solution (C2DFImage &gain)
void | multA (std::vector< double > &x, std::vector< double > &result, long start, long ende)
void | multA_float (float *x, float *result)
int | solve (long max_iterations, double *firstnormr0)
void | solvepar (long *max_iteration, double *normr, double *firstnormr0)
| ~C2DSolveCG ()

## Detailed Description

solve_sCG – a class providing a CG solver

      This contains basic solver functions based on CG schemes

Author
  Stefan Burckhardt and Carsten Wolters, wolte.nosp@m.rs@m.nosp@m.is.mp.nosp@m.g.de, 2004

Remarks
  adapted for libmona by Heike Jaenicke and Marc Tittgemeyer, tittg.nosp@m.e@cb.nosp@m.s.mpg.nosp@m..de, 2004
  adapted for mia2 by Gert Wollny, gw.fo.nosp@m.ssde.nosp@m.v@gma.nosp@m.il.c.nosp@m.om 2011

Definition at line 62 of file 2d/fuzzyclustersolver_cg.hh.

## Constructor & Destructor Documentation

## C2DSolveCG()

C2DSolveCG::C2DSolveCG | ( | C2DFImage & | w1,
|  | C2DFImage & | f1,
|  | C2DFImage & | g1,
|  | double | l1,
|  | double | l2,
|  | double | r_res,
|  | double | m_res )

constructor

Parameters

  w1 |
  f1 |
  g1 |
  l1 |
  l2 |
  r_res |
  m_res |

## ~C2DSolveCG()

C2DSolveCG::~C2DSolveCG | ( |  | ) |

## Member Function Documentation

## add_to_solution()

void C2DSolveCG::add_to_solution | ( | C2DFImage * | e | ) |

Parameters

  e |

## get_iterations()

long C2DSolveCG::get_iterations | ( |  | ) |

inline

Function to get preset number of iterations

Returns
  Number of iterations

Definition at line 137 of file 2d/fuzzyclustersolver_cg.hh.

## get_solution()

void C2DSolveCG::get_solution | ( | C2DFImage & | gain | ) |

Parameters

  gain | Image with gain-field

## multA()

void C2DSolveCG::multA | ( | std::vector< double > & | x,
|  | std::vector< double > & | result,
|  | long | start,
|  | long | ende )

Multiplication of vector and matrix

TODO mit standard classe Austauschen

    \param x
    \param result
    \param start
    \param ende

## multA_float()

void C2DSolveCG::multA_float | ( | float * | x,
|  | float * | result )

Multiplication

TODO mit standard classe Austauschen

    \param x Pointer at
    \param result Pointer at

## solve()

int C2DSolveCG::solve | ( | long | max_iterations,
|  | double * | firstnormr0 )

Function to solve ...

Parameters

  max_iterations | Maximum number of iterations
  firstnormr0 |

Returns

## solvepar()

void C2DSolveCG::solvepar | ( | long * | max_iteration,
|  | double * | normr,
|  | double * | firstnormr0 )

function for parallel solver

Parameters

  max_iteration |
  normr |
  firstnormr0 |

The documentation for this class was generated from the following file:

- 2d/fuzzyclustersolver_cg.hh